## zim-tools 2.1.0

=== meson_options.txt ===
option('static-linkage', type : 'boolean', value : false,
  description : 'Create statically linked binaries.')
option('magic-install-prefix', type : 'string', value : '',
  description : 'Prefix where libmagic has been installed')

## zim-tools 2.0.0

=== debian/changelog ===
zim-tools (2.0.0-2build1) groovy; urgency=medium

  * No-change rebuild against libicu67

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2020 16:21:29 +0000

zim-tools (2.0.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Kunal Mehta <legoktm@debian.org>  Tue, 21 Jul 2020 15:26:30 -0700

zim-tools (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0, merging in zimwriterfs
  * Add zimwriterfs transitional package
  * Switch to debhelper compat 13

 -- Kunal Mehta <legoktm@debian.org>  Tue, 21 Jul 2020 11:57:14 -0700

zim-tools (1.2.1-2) unstable; urgency=medium

  * Source only upload.

 -- Kunal Mehta <legoktm@debian.org>  Fri, 17 Jul 2020 00:48:48 -0700

zim-tools (1.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #964163)

 -- Kunal Mehta <legoktm@debian.org>  Thu, 02 Jul 2020 19:41:34 -0700

=== debian/control ===
Source: zim-tools
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kunal Mehta <legoktm@debian.org>
Build-Depends: debhelper-compat (= 13),
 meson,
 pkg-config,
 libzim-dev (>= 6.1.8),
 libmagic-dev,
 zlib1g-dev,
 libgumbo-dev,
 libicu-dev,
 libdocopt-dev,
 cmake
Standards-Version: 4.5.0
Homepage: https://github.com/openzim/zim-tools
Vcs-Browser: https://salsa.debian.org/debian/zim-tools
Vcs-Git: https://salsa.debian.org/debian/zim-tools.git
Rules-Requires-Root: no

Package: zim-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: zimwriterfs (<= 1.3.10-2)
Replaces: zimwriterfs (<= 1.3.10-2)
Description: various ZIM command-line tools
 ZIM tools is a collection of various command-line utilities for
 interacting and working with the ZIM file format.

Package: zimwriterfs
Architecture: all
Section: oldlibs
Depends: zim-tools (>= 2.0.0), ${misc:Depends}
Description: creates ZIM files from a directory - transitional package
 This is a transitional package and can safely be removed.

## zim-tools 2.1.0

=== debian/changelog ===
zim-tools (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Run tests at build time with gtest

 -- Kunal Mehta <legoktm@debian.org>  Tue, 17 Nov 2020 13:15:46 -0800

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: zim-tools
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kunal Mehta <legoktm@debian.org>
+Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper-compat (= 13),
  meson,
  pkg-config,
- libzim-dev (>= 6.1.8),
+ libzim-dev (>= 6.3.0),
  libmagic-dev,
  zlib1g-dev,
  libgumbo-dev,
  libicu-dev,
  libdocopt-dev,
- cmake
+ cmake,
+ libgtest-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/openzim/zim-tools
 Vcs-Browser: https://salsa.debian.org/debian/zim-tools

=== debian/watch ===
version=4

https://download.openzim.org/release/zim-tools/ \
  zim-tools-([\d\.]+)\.tar\.xz

## zim-tools 3.1.0

=== debian/changelog ===
zim-tools (3.1.0-3) unstable; urgency=medium

  * Fix autopkgtests, don't output to stderr on purpose
  * Don't require zimcheck tests finish in less than half a second
    (Closes: #1004900)

 -- Kunal Mehta <legoktm@debian.org>  Sat, 05 Feb 2022 16:35:49 -0800

zim-tools (3.1.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Wed, 02 Feb 2022 20:12:01 -0800

zim-tools (3.1.0-1) experimental; urgency=medium

  * New upstream version 3.1.0

 -- Kunal Mehta <legoktm@debian.org>  Wed, 26 Jan 2022 23:38:35 -0800

zim-tools (3.0.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ Kunal Mehta ]
  * New upstream version 3.0.0
  * Add superficial autopkgtests

 -- Kunal Mehta <legoktm@debian.org>  Sun, 09 Jan 2022 23:02:53 -0800

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Build-Depends: debhelper-compat (= 13),
  meson,
  pkg-config,
- libzim-dev (>= 6.3.0),
+ libzim-dev (>= 7.2.0),
  libmagic-dev,
  zlib1g-dev,
  libgumbo-dev,
  libicu-dev,
  libdocopt-dev,
  cmake,
- libgtest-dev
-Standards-Version: 4.5.0
+ libgtest-dev,
+ libkainjow-mustache-dev
+Standards-Version: 4.6.0
 Homepage: https://github.com/openzim/zim-tools
 Vcs-Browser: https://salsa.debian.org/debian/zim-tools
 Vcs-Git: https://salsa.debian.org/debian/zim-tools.git

## zim-tools 3.1.1

=== debian/changelog ===
zim-tools (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1

 -- Kunal Mehta <legoktm@debian.org>  Wed, 11 May 2022 00:40:08 -0400

## zim-tools 3.1.3

=== debian/changelog ===
zim-tools (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3

 -- Kunal Mehta <legoktm@debian.org>  Sat, 03 Dec 2022 01:10:55 -0500

zim-tools (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2

 -- Kunal Mehta <legoktm@debian.org>  Tue, 01 Nov 2022 03:05:25 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
  meson,
  pkg-config,
- libzim-dev (>= 7.2.0),
+ libzim-dev (>= 8.0.0),
  libmagic-dev,
  zlib1g-dev,
  libgumbo-dev,

## zim-tools 3.2.0

=== debian/changelog ===
zim-tools (3.2.0-1ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:43:41 +1100

zim-tools (3.2.0-1ubuntu4) noble; urgency=medium

  * No-change rebuild for libmagic t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:27:38 +0100

zim-tools (3.2.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 12:01:07 +0100

zim-tools (3.2.0-1ubuntu2) noble; urgency=medium

  * Disable lto to fix tests segfault
    - see upstream bug report
      https://gcc.gnu.org/bugzilla/show_bug.cgi?id=112680

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 07:54:26 +0100

zim-tools (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * Add patch to build with c++14 (Closes: #1041084)
  * Drop transitional zimwriterfs package (Closes: #1038284)

 -- Kunal Mehta <legoktm@debian.org>  Fri, 21 Jul 2023 22:25:41 -0400

=== debian/control ===
Source: zim-tools
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kunal Mehta <legoktm@debian.org>
Build-Depends: debhelper-compat (= 13),
 meson,
 pkg-config,
 libzim-dev (>= 8.0.0),
 libmagic-dev,
 zlib1g-dev,
 libgumbo-dev,
 libicu-dev,
 libdocopt-dev,
 cmake,
 libgtest-dev,
 libkainjow-mustache-dev
Standards-Version: 4.6.0
Homepage: https://github.com/openzim/zim-tools
Vcs-Browser: https://salsa.debian.org/debian/zim-tools
Vcs-Git: https://salsa.debian.org/debian/zim-tools.git
Rules-Requires-Root: no

Package: zim-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: various ZIM command-line tools
 ZIM tools is a collection of various command-line utilities for
 interacting and working with the ZIM file format.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

%:
	dh $@

## zim-tools 3.5.0

=== debian/changelog ===
zim-tools (3.5.0-1.2ubuntu2) plucky; urgency=medium

  * No-change rebuild for libgumbo3.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 03 Feb 2025 07:33:21 +0000

zim-tools (3.5.0-1.2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Disable lto to fix tests segfault
      - see upstream bug report
        https://gcc.gnu.org/bugzilla/show_bug.cgi?id=112680
  * Drop Changes:
    - Build with -std=c++17.
      [Fixed in 3.4.0-1]

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 14 Jan 2025 17:06:38 +0000

zim-tools (3.5.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix autopkgtest

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 10:53:37 +0100

zim-tools (3.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Reupload to unstable.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 Jan 2025 22:44:02 +0100

zim-tools (3.5.0-1) experimental; urgency=medium

  * New upstream version 3.5.0

 -- Kunal Mehta <legoktm@debian.org>  Sun, 22 Sep 2024 21:23:57 -0400

zim-tools (3.4.2-1) experimental; urgency=medium

  * New upstream version 3.4.2

 -- Kunal Mehta <legoktm@debian.org>  Tue, 27 Aug 2024 00:44:35 -0400

zim-tools (3.4.0-1) experimental; urgency=medium

  * New upstream version 3.4.0
  * Update standards version to 4.6.2, no changes needed.

 -- Kunal Mehta <legoktm@debian.org>  Tue, 26 Mar 2024 23:12:13 -0400

zim-tools (3.2.0-1ubuntu7) plucky; urgency=medium

  * Build with -std=c++17.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2025 12:54:56 +0100

zim-tools (3.2.0-1ubuntu6) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2025 05:30:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper-compat (= 13),
  meson,
- pkg-config,
- libzim-dev (>= 8.0.0),
+ pkgconf,
+ libzim-dev (>= 9.2.2),
  libmagic-dev,
  zlib1g-dev,
  libgumbo-dev,
@@ -15,7 +15,7 @@
  cmake,
  libgtest-dev,
  libkainjow-mustache-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/openzim/zim-tools
 Vcs-Browser: https://salsa.debian.org/debian/zim-tools
 Vcs-Git: https://salsa.debian.org/debian/zim-tools.git

=== debian/tests/control ===
Tests: smoke
Depends: @
Restrictions: superficial
